#ifndef prototype1_src_l1_anne_alice_h
#define prototype1_src_l1_anne_alice_h

#include "../codegen/codegen.h"

void generate_code_for_alice_on_l1(){
    mkdir_nofail("l1/eve/alice");
    mkdir_nofail("l1/eve/alice");
    SpanU8 l = cstr("l1"), ns = cstr("alice");
    /* Assets: model topology */
    generate_eve_span_company_for_primitive(l, ns, cstr("GenericMeshVertexInc"), true, true);
    generate_eve_span_company_for_primitive(l, ns, cstr("ShinyMeshVertexInc"), true, true);

    /* Engine stuff */
    // todo: yes, maybe right now it is not primitive but I surely will make it primitive someday. Right now I don't care
    generate_List_templ_inst_eve_header(l, ns, (list_instantiation_op){
        .T = cstr("AliceGenericMeshHand"), .t_primitive = true}, true);
    generate_List_templ_inst_eve_header(l, ns, (list_instantiation_op){
        .T = cstr("AliceShinyMeshHand"), .t_primitive = true}, true);

    generate_eve_span_company_for_primitive(l, ns, cstr("RefListNodeAliceGenericMeshHand"), true, false);
    generate_eve_span_company_for_primitive(l, ns, cstr("RefListNodeAliceShinyMeshHand"), true, false);
}

#endif